#! /usr/bin/perl

#
# Send a packet manually -- give IP and score on command line
#


# Set these to where you are running spamtrapd

@hostports=(

  [ "your.host.com", 4321 ],
  [ "your.otherhost.com", 4321 ],

);


use IO::Socket::INET;

 my $ip = shift;
 my $score = (shift or 0);

 die "Must specify IP and optional score on command line\n"
   unless ($ip);

foreach $hp (@hostports){

  (my $host, my $port)=@$hp;

  my $mysocket = 
    new IO::Socket::INET->new(PeerPort=>$port, Proto=>'udp', PeerAddr=>$host);
  $mysocket->send("\"$ip\"-\"$score\"-\"manual\"");

}

